<!DOCTYPE html>
<html lang="en">

<head>
  <title>Bootstrap Example</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

  <!-- Import Datatable sau jquery -->
  <!-- Import them style bootstrap cho datatable -->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
  <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
  <!-- Import awesome-->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.3.0/css/all.min.css">


  <style>
    body {
      font-family: "Lato", sans-serif;
    }

    .sidebar {
      height: 100%;
      width: 0;
      position: fixed;
      z-index: 1;
      top: 0;
      left: 0;
      background-color: #111;
      overflow-x: hidden;
      transition: 0.5s;
      padding-top: 60px;
    }

    .sidebar a {
      padding: 8px 8px 8px 32px;
      text-decoration: none;
      font-size: 25px;
      color: #818181;
      display: block;
      transition: 0.3s;
    }

    .sidebar a:hover {
      color: #f1f1f1;
    }

    .sidebar .closebtn {
      position: absolute;
      top: 0;
      right: 25px;
      font-size: 36px;
      margin-left: 50px;
    }

    .openbtn {
      font-size: 20px;
      cursor: pointer;
      background-color: #111;
      color: white;
      padding: 10px 15px;
      border: none;
    }

    .openbtn:hover {
      background-color: #444;
    }

    #main {
      transition: margin-left .5s;
      padding: 16px;
    }

    /* On smaller screens, where height is less than 450px, change the style of the sidenav (less padding and a smaller font size) */
    @media screen and (max-height: 450px) {
      .sidebar {
        padding-top: 15px;
      }

      .sidebar a {
        font-size: 18px;
      }
    }
  </style>
</head>




<body>

  <body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">
      <!-- Navbar -->
      <nav class="main-header navbar navbar-expand navbar-white navbar-light">
        <!-- Left navbar links -->
        <ul class="navbar-nav">
          <li class="nav-item">
            <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
          </li>
          <li class="nav-item d-none d-sm-inline-block">
            <a href="index3.html" class="nav-link">Home</a>
          </li>
          <li class="nav-item d-none d-sm-inline-block">
            <a href="#" class="nav-link">Contact</a>
          </li>
        </ul>
      </nav>

      <!-- /.navbar -->

      <div id="mySidebar" class="sidebar">
        <a href="javascript:void(0)" class="closebtn" onclick="closeNav()">×</a>
        <a href="#">About</a>
        <a href="#">Dashboard</a>
        <a href="#">User List</a>
        <a href="#">Contact</a>
      </div>

      <div id="main">
        <button class="openbtn" onclick="openNav()">☰ Open Sidebar</button>
      </div>

      <div class="container">
        <h2 style="text-align: center;">User List</h2>
        <nav aria-label="breadcrumb">
          <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="#">Datatable</a></li>
            <li class="breadcrumb-item"><a href="#">Register</a></li>
            <li class="breadcrumb-item active" aria-current="page">Data</li>
          </ol>
        </nav>

        <table class="table table-bordered table-striped table-hover" id="table-users">
          <thead>
            <tr>
              <th>Mã người dùng</th>
              <th>Firstname</th>
              <th>Lastname</th>
              <th>Age</th>
              <th>Action</th>
            </tr>
          </thead>
          <tbody>
          </tbody>
        </table>
      </div>
    </div>
    <!-- Modal user detail-->
    <div>
      <div class="modal fade" id="modal-user-detail" tabindex="-1">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title">User detail information</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <form>
                <div class="row form-group">
                  <label class="col-form-label col-sm-4">User Id</label>
                  <div class="col-sm-8">
                    <input type="text" class="form-control" id="input-user-id">
                  </div>
                </div>
                <div class="row form-group">
                  <label class="col-form-label col-sm-4">First Name</label>
                  <div class="col-sm-8">
                    <input type="text" class="form-control" id="input-firstname">
                  </div>
                </div>
                <div class="row form-group">
                  <label class="col-form-label col-sm-4">Last Name</label>
                  <div class="col-sm-8">
                    <input type="text" class="form-control" id="input-lastname">
                  </div>
                </div>
                <div class="row form-group">
                  <label class="col-form-label col-sm-4">Age</label>
                  <div class="col-sm-8">
                    <input type="text" class="form-control" id="input-age">
                  </div>
                </div>
              </form>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            </div>
          </div>
        </div>
      </div>
    </div>
    </div>

    <!-- Footer -->
    <div class="container-fluid p-5">
      <div class="row text-center">
        <div class="col-sm-12">
          <h4 class="m-2">Footer</h4>
          <a href="#" class="btn btn-dark m-3"><i class="fa fa-arrow-up"></i>To the top</a>
          <div class="m-2">
            <i class="fa-brands fa-facebook w3-hover-opacity"></i>
            <i class="fa-brands fa-instagram w3-hover-opacity"></i>
            <i class="fa-brands fa-snapchat w3-hover-opacity"></i>
            <i class="fa-brands fa-pinterest-p w3-hover-opacity"></i>
            <i class="fa-brands fa-twitter w3-hover-opacity"></i>
            <i class="fa-brands fa-linkedin w3-hover-opacity"></i>
          </div>
        </div>
      </div>
    </div>

    ​
    <script>
      var gJsonUser = `{
    "description": "Data user",
    "users": [
      {
        "userId": 1,
        "firstname": "Test1",
        "lastname": "User1",
        "age": 18
      },
      {
        "userId": 2,
        "firstname": "Test2",
        "lastname": "User2",
        "age": 19
      },
      {
        "userId": 3,
        "firstname": "Test3",
        "lastname": "User3",
        "age": 18
      },
      {
        "userId": 4,
        "firstname": "Test4",
        "lastname": "User4",
        "age": 20
      },
      {
        "userId": 5,
        "firstname": "Test5",
        "lastname": "User5",
        "age": 21
      },
      {
        "userId": 6,
        "firstname": "Test6",
        "lastname": "User6",
        "age": 20
      }
    ]
  }`;

      // Biến mảng toàn cục chứa danh sách tên các thuộc tính
      const gUSER_COLS = ["userId", "firstname", "lastname", "age", "action"];

      // Biến mảng toàn cục định nghĩa chỉ số các cột tương ứng
      const gUSER_ID_COL = 0;
      const gUSER_FIRSTNAME_COL = 1;
      const gUSER_LASTNAME_COL = 2;
      const gUSER_AGE_COL = 3;
      const gUSER_ACTION_COL = 4;

      var gUserObj = JSON.parse(gJsonUser);
      var gUserTable = $("#table-users").DataTable({
        data: gUserObj.users,
        columns: [
          { data: gUSER_COLS[gUSER_ID_COL] },
          { data: gUSER_COLS[gUSER_FIRSTNAME_COL] },
          { data: gUSER_COLS[gUSER_LASTNAME_COL] },
          { data: gUSER_COLS[gUSER_AGE_COL] },
          { data: gUSER_COLS[gUSER_ACTION_COL] }
        ],
        columnDefs: [
          {
            targets: gUSER_ACTION_COL,
            defaultContent: "<button class='btn btn-primary user-detail'>Chi tiết</button>"
          }
        ]
      });

      $("#table-users tbody").on("click", ".user-detail", function () {
        onUserDetailClick(this);
      });

      // hàm xử lý khi click vào nút user detail
      function onUserDetailClick(paramUserDetailBtn) {
        var vUserDetailBtn = $(paramUserDetailBtn);
        var vTableRow = vUserDetailBtn.parents("tr");
        var vDataTableRow = gUserTable.row(vTableRow);
        var vData = vDataTableRow.data();
        /***
         * TODO: xử lý tiếp để show dữ liệu user lên Modal 
         */

        $("#input-user-id").val(vData.userId);
        $("#input-firstname").val(vData.firstname);
        $("#input-lastname").val(vData.lastname);
        $("#input-age").val(vData.age);
        $("#modal-user-detail").modal("show");
      }

      function openNav() {
        document.getElementById("mySidebar").style.width = "250px";
        document.getElementById("main").style.marginLeft = "250px";
      }

      function closeNav() {
        document.getElementById("mySidebar").style.width = "0";
        document.getElementById("main").style.marginLeft = "0";
      }
    </script>
  </body>

</html>
​